Subject: [Cose] FW: New Version Notification for draft-schaad-cose-01.txt

From: "Jim Schaad" <[email-masked]>
Date: Tue, 21 Apr 2015 20:25:01 -0700

Even though we don't have a working group formed yet, and thus cannot formally adopt any documents into the working group, I think it is time that we started on discussions of what the resulting document should end up looking like.  To this end I am going to start sending out some e-mails to facilitate/start discussions.  

I have a candidate document located at https://github.com/cose-wg/cose-spec.  This is the document that I have used to generate the document that I have posted to the IETF (draft-schaad-cose).  Along with the document is a list of issues that I think need to be discussed while we are dealing with the message format specification (https://github.com/cose-wg/cose-spec/blob/master/Issues.md).  This document deliberately does not include those issues which I believe are related only to algorithm issues.  There are some algorithm looking issues that I believe have more to do with how the message format document is that are directly algorithm issues.

In addition to the list of discussion issues, there is also the issue tracker on the spec.  Feel free to either put issues into the tracker or give pull requests on things that you don't like.  For technical issues, we need to be sure there is discussion on the list before I would accept them.  For editorial issues I will just pull as I get to them and agree with the content.

If this document is accepted as the working group message document, I would expect that we will just import this repository into the organization created for the charter discussions.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, April 21, 2015 8:20 PM
> To: Jim Schaad; Jim Schaad
> Subject: New Version Notification for draft-schaad-cose-01.txt
> 
> 
> A new version of I-D, draft-schaad-cose-01.txt has been successfully
> submitted by Jim Schaad and posted to the IETF repository.
> 
> Name:		draft-schaad-cose
> Revision:	01
> Title:		CBOR Encoded Message Syntax
> Document date:	2015-04-21
> Group:		Individual Submission
> Pages:		28
> URL:            http://www.ietf.org/internet-drafts/draft-schaad-cose-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-schaad-cose/
> Htmlized:       http://tools.ietf.org/html/draft-schaad-cose-01
> Diff:           http://www.ietf.org/rfcdiff?url2=draft-schaad-cose-01
> 
> Abstract:
>    Concise Binary Object Representation (CBOR) is data format designed
>    for small code size and small message size.  There is a need for the
>    ability to have the basic security services defined for this data
>    format.  This document specifies how to do signatures, message
>    authentication codes and encryption using this data format.  The work
>    in this document is derived in part from the JSON web security
>    documents using the same parameters and algorithm identifiers as they
>    do.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat